//*********************************************************
//
//  UNIT:  F o n t s                   15.10.99, 18.02.2002
//
//  additional font handling
//
//---------------------------------------------------------
//
//  AddFont             add font to font list
//  SetFont             set font data
//  ResetFont           set default font
//  SelectFont          select font by name
//  RandomFont          select random font from font list
//  DisplayText         write text with active font
//
//*********************************************************
unit Fonts;

{$ifopt D+}
  {$define xtest1    main functions}
{$endif}

interface

uses  Windows, Graphics, Classes;

var  fontNo: word = 0;

procedure AddFont (fontName: string);
procedure SetFont (fontName: string;
                   fontSize: word;
                   fontStyle: TFontStyles);
procedure ResetFont;
procedure SelectFont (fontName: string);
procedure RandomFont;
procedure DisplayText (x,y: integer; txt: string);

//*********************************************************
implementation

uses  SysUtil2, Graph;

var   fontList: tStringList;

//*********************************************************
procedure AddFont (fontName: string);
begin
  fontList.Add (fontName);
  inc (fontNo);
end;
//*********************************************************
procedure SetFont (fontName: string;
                   fontSize: word;
                   fontStyle: TFontStyles);
begin
{$ifdef test1}
  writeln (tst,'Fonts.SetFont: ', fontName);
{$endif}
  with activeCanvas.Font
  do begin
    name := fontName;
    size := fontSize;
    style := fontStyle;
  end;
end;
//*********************************************************
procedure ResetFont;
begin
{$ifdef test1}
  writeln (tst,'Fonts.ResetFont: ');
{$endif}
  SetFont ('MS Sans Serif', 8, [fsBold]);
end;
//*********************************************************
procedure SelectFont (fontName: string);
begin
  activeCanvas.font.name := fontName;
end;
//*********************************************************
procedure RandomFont;
begin
  activeCanvas.font.name := (fontList[random(fontNo)]);
end;
//*********************************************************
procedure DisplayText (x,y: integer; txt: string);
begin
  SetBkMode (activeCanvas.Handle, Transparent);
  activeCanvas.TextOut (x,y,txt);
end;
//*********************************************************
initialization
  {$ifdef InitTest}
    writeln (tst, 'Fonts.initialization: ');
    flush (tst);
  {$endif}
  fontList := TStringList.Create;
  AddFont (activeCanvas.font.name);
  AddFont ('Arial');
  AddFont ('Courier New');
  AddFont ('Comic Sans MS');
  AddFont ('MS Sans Serif');
  AddFont ('Times New Roman');
  AddFont ('Desdemona');

//*********************************************************
finalization
  fontList.Free;

end.

