//*******************************************************************
//
//  G r A n D e . D P R            project file
//
//  Graphic Animation Demo         compiler: Delphi-6
//  coded by Gerd Platl            email: MrPix@geocities.com
//
//-------------------------------------------------------------------
//
//  v1.00  06-10-99  first release
//  v1.01  07-01-99  many new features
//  v1.02  07-07-99  flicker effect eliminated
//  v1.03  07-12-99  rotation zoomer added
//  v1.04  07-21-99  moving tiles background
//                   animation logic changed to run under Win-95
//  v1.05  07-22-99  wave interference demo added
//                   palette handling extracted to palette.pas
//  v1.06  07-28-99  shell pattern generator
//  v1.07  09-02-99  bump lightning demos added
//  v1.08  09-03-99  lissa dance demo added
//  v1.09  09-09-99  magnify demo added
//  v1.10  09-29-99  mirrored fractal bump lightning added
//  v1.11  10-08-99  rotating blured 3d point object added
//  v1.12  10-15-99  glittering title animation and font handling
//  v1.13  11-23-99  different lightning maps added
//  v1.14  01-20-00  rot3d demo improved
//  v1.15  02-11-00  rotozoom demo handles now different textures
//  v1.16  02-15-00  fire animation added
//  v1.17  03-16-00  ripple animation added
//  v1.18  06-12-00  unit Values and interactive Shelly values added
//  v1.19  06-29-00  unit Images and interactive Rot3d values added
//  v1.20  08-23-00  plasma unit extended
//  v1.21  09-19-00  interactive value input unified
//  v1.22  09-22-00  use tile backgrounds from GrForm
//  v1.23  10-03-00  animation handling changed
//  v1.24  10-26-00  draw and drop pictures added
//  v1.25  12-29-00  voxel demo added
//  v1.26  03-30-01  variable picture loading added
//  v1.27  08-03-01  animated blobs demo added
//  v1.28  09-14-01  handling changed to callback procedures
//  v1.29  04-12-02  source clean up
//  v1.30  08-04-02  added small info file and some bug fixes
//  v1.31  09-04-02  small changes in graphic routines
//  v1.32  10-04-02  loading pictures from image directory
//  v1.33  24-06-03  update to actual unit sources
//
// ToDo: change picture format from BMP to GIF
//
//  units:  GrAnDe
//          +--GrForm
//          |  +--GrAbout
//          +--Title, Fire, Ripple, ...
//             +--GrForm
//
//*******************************************************************
program GrAnDe;

{$I 'comp_opt.inc'}

uses
  Forms,
  SysUtil2 in '..\SUD\SysUtil2.pas',
  ColorRGB in '..\GUD\ColorRGB.pas',
  Palette in '..\GUD\Palette.pas',
  Graph in '..\GUD\Graph.pas',
  Fonts in '..\GUD\Fonts.pas',
  Images in '..\GUD\Images.pas',
  Values in '..\GUD\Values.pas',
  Blur in '..\GUD\Blur.pas',
  Bounce3d in '..\MUD\Bounce3D.pas',
  GrForm in 'GrForm.pas' {MainForm},
  GrAbout in 'GrAbout.pas' {AboutBox},
  Title in 'Title.pas',
  Fire in 'Fire.pas',
  Rot3d in 'Rot3d.pas',
  Ripple in 'Ripple.pas',
  Water in 'Water.pas',
  Magnify in 'Magnify.pas',
  RotoZoom in 'RotoZoom.pas',
  Voxel in 'Voxel.pas',
  Blobs in 'Blobs.pas',
  BumpLi in 'BumpLi.pas',
  FractMap in 'Fractmap.pas',
  Dance in 'Dance.pas',
  Shelly in 'Shelly.pas',
  Plasma in 'Plasma.pas',
  Wavy in 'Wavy.pas',
  Tiles in 'Tiles.pas';

{$R *.RES}
{$DESCRIPTION 'GrAnDe: Graphic Animation Demo'}

begin
  Randomize;
  Application.Initialize;
  {$ifdef InitTest}
    writeln (tst, '---Application.Start:');
    flush (tst);
  {$endif}

  Application.Title := 'Graphic Animation Demo';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.Run;
end.

