//*******************************************************************
//
//  UNIT:     T i l e s                          06.08.99, 05.04.2002
//
//  tiles background animation demo, coded by Gerd Platl
//
//*******************************************************************
{$I comp_opt.inc}

unit Tiles;

{$ifopt D+}
  {$define xtest1    main functions}
  {$define xtest2    sub functions}
{$endif}

interface

//*********************************************************
implementation

uses  SysUtils, Windows, Classes, Graphics,
      SysUtil2, Graph, Values, Images, GrForm;

const modes  = 6;                      // # of lightning modes

var   modeNo:      word    =  0;       // actual demo mode
      moveSpeed:   integer =  15;      // moving speed
      moveRadius:  integer =  80;      // moving radius
      backBm: tBitmap = nil;           // background bitmap

{********************************************************}
procedure CreateValues;
begin
  with valuePtr^
  do if ValueCount = 0
  then begin
    AppendValue ('moving speed',     1,  20);
    AppendValue ('moving radius',   10, 110);
  end;
end;

//*********************************************************
// create double sized background bitmap
// size: 2*screen.X * 2*screen.Y+256
//---------------------------------------------------------
procedure InitTiles;
begin
  backBm := tBitmap.Create;
  backBm.PixelFormat := screenInfo.pixelFormat;
  backBm.Width  := 2 * screenInfo.X;
  backBm.Height := 2 * screenInfo.Y;
end;
//*********************************************************
procedure NextMode;
begin
  modeNo := 1 + modeNo mod modes;
  MainForm.FillTexture (modeNo, backBm);
  MarkTime;
end;
//*********************************************************
// start new animation
//---------------------------------------------------------
procedure AnimStart;
begin
  {$ifdef test1}
    writeln (tst, #13#10'Tiles.AnimStart: ');
  {$endif}

  CreateValues;
  SetGraphMode (screenInfo.pixelFormat);
  NextMode;
end;
//*********************************************************
// draw one animation picture
//---------------------------------------------------------
procedure AnimDraw;
var   lx,ly: integer;
begin
  {$ifdef test2}
    writeln (tst, 'Tiles.AnimDraw: ');
  {$endif}

  lx := round (sin (picNo*moveSpeed / 256) * moveRadius) - 256;
  ly := round (cos (picNo*moveSpeed / 256) * moveRadius) - 256;
  bgBitmap.Canvas.Draw (lx,ly, backBm);
end;
//*********************************************************
// handle animation input
//---------------------------------------------------------
procedure AnimInput;
begin
  {$ifdef test2}
    writeln (tst, 'Tiles.AnimInput: ', ord(cb));
  {$endif}

  with valuePtr^ do begin
    moveSpeed  := IntValue (1);
    moveRadius := IntValue (2);
  end;

  case cb of
    CR : NextMode;
    'n': valuePtr^.RandomValues;
    'r': valuePtr^.Reset;
  end;
end;
//*********************************************************
// display animation specific help
//---------------------------------------------------------
procedure AnimHelp;
begin
  HelpText (1, ' <ret>  texture ' + IntToStr(modeNo));
  HelpText (2, '   n      random values');
end;
//*********************************************************
initialization

  {$ifdef InitTest}
    writeln (tst, 'Tiles.initialization: ');
    flush (tst);
  {$endif}

  InitTiles;

  RegisterAnimation (' Moving Tiles Background ',
    AnimStart, nil, AnimDraw, AnimInput, AnimHelp);

//----------------------------------------------------------
finalization

  {$ifdef ExitTest}
    writeln (tst, 'Tiles.finalization: ');
    flush (tst);
  {$endif}
end.

